Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support
Class ImportContextClassLoader

    java.lang.Object
      org.springframework.core.enums.AbstractLabeledEnum
          org.springframework.core.enums.StaticLabeledEnum
              org.eclipse.gemini.blueprint.service.importer.support.ImportContextClassLoader

All Implemented Interfaces:
  Serializable, Comparable, org.springframework.core.enums.LabeledEnum

Deprecated. As of Spring DM 2.0, replaced by `ImportContextClassLoaderEnum`

    public class ImportContextClassLoader

extends org.springframework.core.enums.StaticLabeledEnum

Enum-like class containing the OSGi service importer thread context class loader (TCCL) management options.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary
`static ImportContextClassLoader` | `CLIENT` Deprecated. The TCCL will be set to that of the client upon service invocation.
`static ImportContextClassLoader` | `SERVICE_PROVIDER` Deprecated. The TCCL will be set to that of the service provider upon service invocation.
`static ImportContextClassLoader` | `UNMANAGED` Deprecated. The TCCL will not be managed upon service invocation.

Fields inherited from interface org.springframework.core.enums.LabeledEnum
`CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

Method Summary

Methods inherited from class org.springframework.core.enums.StaticLabeledEnum
`getCode, getLabel, readResolve, shortValue`

Methods inherited from class org.springframework.core.enums.AbstractLabeledEnum
`compareTo, equals, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNMANAGED

    public static final ImportContextClassLoader UNMANAGED

  Deprecated.
  The TCCL will not be managed upon service invocation.

### SERVICE_PROVIDER

    public static final ImportContextClassLoader SERVICE_PROVIDER

  Deprecated.
  The TCCL will be set to that of the service provider upon service invocation.

### CLIENT

    public static final ImportContextClassLoader CLIENT

  Deprecated.
  The TCCL will be set to that of the client upon service invocation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.